Winevt.EVT_EVENT_METADATA_PROPERTY_ID (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Winevt, interface: EVT_EVENT_METADATA_PROPERTY_ID

Package com.sun.jna.platform.win32

# Interface Winevt.EVT_EVENT_METADATA_PROPERTY_ID

Enclosing interface:
  Winevt

public static interface Winevt.EVT_EVENT_METADATA_PROPERTY_ID
Defines the identifiers that identify the metadata properties of an event definition.

See Also:
  - MSDN

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `EventMetadataEventChannel`
  Identifies the channel attribute of the event definition.
  `static final int`
  `EventMetadataEventID`
  Identifies the value attribute of the event definition.
  `static final int`
  `EventMetadataEventKeyword`
  Identifies the keyword attribute of the event definition.
  `static final int`
  `EventMetadataEventLevel`
  Identifies the level attribute of the event definition.
  `static final int`
  `EventMetadataEventMessageID`
  Identifies the message attribute of the event definition.
  `static final int`
  `EventMetadataEventOpcode`
  Identifies the opcode attribute of the event definition.
  `static final int`
  `EventMetadataEventTask`
  dentifies the task attribute of the event definition.
  `static final int`
  `EventMetadataEventTemplate`
  Identifies the template attribute of the event definition.
  `static final int`
  `EventMetadataEventVersion`
  Identifies the version attribute of the event definition.
  `static final int`
  `EvtEventMetadataPropertyIdEND`
  This enumeration value marks the end of the enumeration values.

- ## Field Details

  - ### EventMetadataEventID

    static final int EventMetadataEventID
    Identifies the value attribute of the event definition. The variant type for this property is EvtVarTypeUInt32.
    See Also:
      - Constant Field Values

  - ### EventMetadataEventVersion

    static final int EventMetadataEventVersion
    Identifies the version attribute of the event definition. The variant type for this property is EvtVarTypeUInt32.
    See Also:
      - Constant Field Values

  - ### EventMetadataEventChannel

    static final int EventMetadataEventChannel
    Identifies the channel attribute of the event definition. The variant type for this property is EvtVarTypeUInt32. This property does not contain the channel identifier that you specified in the event definition but instead contains the value attribute of the channel. The value is zero if the event definition does not specify a channel.
    See Also:
      - Constant Field Values

  - ### EventMetadataEventLevel

    static final int EventMetadataEventLevel
    Identifies the level attribute of the event definition. The variant type for this property is EvtVarTypeUInt32. This property does not contain the level name that you specified in the event definition but instead contains the value attribute of the level. The value is zero if the event definition does not specify a level.
    See Also:
      - Constant Field Values

  - ### EventMetadataEventOpcode

    static final int EventMetadataEventOpcode
    Identifies the opcode attribute of the event definition. The variant type for this property is EvtVarTypeUInt32. This property does not contain the opcode name that you specified in the event definition but instead contains the value attribute of the opcode. The value is zero if the event definition does not specify an opcode.
    See Also:
      - Constant Field Values

  - ### EventMetadataEventTask

    static final int EventMetadataEventTask
    dentifies the task attribute of the event definition. The variant type for this property is EvtVarTypeUInt32. This property does not contain the task name that you specified in the event definition but instead contains the value attribute of the task. The value is zero if the event definition does not specify a task.
    See Also:
      - Constant Field Values

  - ### EventMetadataEventKeyword

    static final int EventMetadataEventKeyword
    Identifies the keyword attribute of the event definition. The variant type for this property is EvtVarTypeUInt64. This property does not contain the list of keyword names that you specified in the event definition but instead contains a 64-bitmask of all the keywords. The top 16 bits of the mask are reserved for internal use and should be ignored when determining the keyword bits that the event definition set.
    See Also:
      - Constant Field Values

  - ### EventMetadataEventMessageID

    static final int EventMetadataEventMessageID
    Identifies the message attribute of the event definition. The variant type for this property is EvtVarTypeUInt32. The property contains the resource identifier that is assigned to the message string. To get the message string, call the EvtFormatMessage function. If the event definition does not specify a message, the value is -1.
    See Also:
      - Constant Field Values

  - ### EventMetadataEventTemplate

    static final int EventMetadataEventTemplate
    Identifies the template attribute of the event definition. The variant type for this property is EvtVarTypeString. This property does not contain the template name that you specified in the event definition but instead contains an XML string that includes the template node and each data node; the string does not include the UserData. The value is an empty string if the event definition does not specify a template.
    See Also:
      - Constant Field Values

  - ### EvtEventMetadataPropertyIdEND

    static final int EvtEventMetadataPropertyIdEND
    This enumeration value marks the end of the enumeration values.
    See Also:
      - Constant Field Values